osg::Image::DataIterator Class Reference

`#include <Image>`

## Public Member Functions

| DataIterator (const Image *image)
| DataIterator (const DataIterator &ri)
| ~DataIterator ()
void | operator++ ()
bool | valid () const
const unsigned char * | data () const
unsigned int | size () const

## Protected Member Functions

void | assign ()

## Protected Attributes

const osg::Image * | _image
int | _rowNum
int | _imageNum
unsigned int | _mipmapNum
const unsigned char * | _currentPtr
unsigned int | _currentSize

## Detailed Description

Convenience class for assisting the copying of image data when the image data isn't contiguous.

## Constructor & Destructor Documentation

## DataIterator() [1/2]

osg::Image::DataIterator::DataIterator | ( | const Image * | image | ) |

References osg::Image::Image().

Referenced by DataIterator().

## DataIterator() [2/2]

osg::Image::DataIterator::DataIterator | ( | const DataIterator & | ri | ) |

References DataIterator().

## ~DataIterator()

osg::Image::DataIterator::~DataIterator | ( |  | ) |

inline

## Member Function Documentation

## assign()

void osg::Image::DataIterator::assign | ( |  | ) |

protected

## data()

const unsigned char * osg::Image::DataIterator::data | ( |  | ) | const

inline

data pointer of current block to copy.

References _currentPtr.

## operator++()

void osg::Image::DataIterator::operator++ | ( |  | ) |

advance iterator to next block of data.

## size()

unsigned int osg::Image::DataIterator::size | ( |  | ) | const

inline

Size of current block to copy.

References _currentSize.

## valid()

bool osg::Image::DataIterator::valid | ( |  | ) | const

inline

is iterator valid.

References _currentPtr.

## Member Data Documentation

## _currentPtr

const unsigned char* osg::Image::DataIterator::_currentPtr

protected

Referenced by data(), and valid().

## _currentSize

unsigned int osg::Image::DataIterator::_currentSize

protected

Referenced by size().

## _image

const osg::Image* osg::Image::DataIterator::_image

protected

## _imageNum

int osg::Image::DataIterator::_imageNum

protected

## _mipmapNum

unsigned int osg::Image::DataIterator::_mipmapNum

protected

## _rowNum

int osg::Image::DataIterator::_rowNum

protected

The documentation for this class was generated from the following file:

- Image